Get Project Dependency

gethttps://app.fossa.com/api/v2/revisions/{locator}/dependencies/{dependencyRevisionLocator}

Get a single dependency by locator for a given project revision. **Note:** Unlike the list endpoint (`GET /v2/revisions/{locator}/dependencies`), this single-dependency endpoint returns the full, unsanitized dependency object. In addition to the fields documented in the response schema below, the payload includes these extra fields: - Top-level: `authors`, `description`, `url`, `individualLicenses`, `groupedLicenses`, `sourceType`, `lastPublishedDate` - Each entry in `rootProjects` additionally includes `type`, `teams`, `paths`, and `depth` - Each entry in `issues` additionally includes `notes`

Path parameters

locatorstringrequired

The locator of the project revision

dependencyRevisionLocatorstringrequired

The locator of the dependency to retrieve

Query parameters

includeResolutionNotesboolean

Include resolution notes in issue data

includeLicenseTextboolean

Include full license text in license data

includeCopyrightboolean

Include copyright information in license data

includeMatchesboolean

Include license match details in license data

includeDownloadUrlboolean

Include download URL in package data

Responses

200OK
dependencyobject
locatorstring
titlestring
isManualboolean
isIgnoredboolean
isUnknownboolean
isSnippetConversionboolean
conclusionsobject
scopedobject
licensesstring[]
lastEditedBystring
updatedAtstring
baseobject
licensesstring[]
justificationstring
licensesstring[]
declaredLicensesstring[]
discoveredLicensesstring[]
licenseGroupsobject[]

The grouped licenses discovered for this dependency.

licenseGroupIdinteger
signaturestring
ignoredboolean
isDeclaredboolean
licensesobject[]
titlestring
licenseIdstring
ignoredboolean
urlstring | null
licenseGroupIdinteger
revisionLicenseIdinteger
projectCorrectionIdinteger | null
labelsobject[]

The package label assignments applied to this dependency.

idintegerrequired

The ID of the package label assignment.

createdAtstring <date-time>required

The date and time the package label assignment was created.

updatedAtstring <date-time>required

The date and time the package label assignment was last updated.

organizationIdintegerrequired

The ID of the organization that owns the package label assignment.

labelIdintegerrequired

The ID of the label that was assigned to the package.

packageIdstringrequired

The ID of the package that the label was assigned to.

packageVersionstring

The version of the package that the label was assigned to or null if the label was assigned to all versions.

scopeenumrequired

The scope of the package label assignment.

orgprojectrevision
scopeIdstringrequired

The ID of the scope that the label was assigned to or null if the label was assigned to all scopes.

namestringrequired

The name of the label that was assigned to the package.

depthinteger
originPathsstring[]
statusobject
errorstring
resolvedboolean
unsupportedboolean
analyzingboolean
issuesobject[]
idinteger
typestring
statusenum
activeignored
licensestring
cvssScorenumber
rootProjectsobject[]
titlestring
revisionstring
branchstring
conclusionsobject
scopedobject
licensesstring[]
lastEditedBystring
updatedAtstring
baseobject
licensesstring[]
justificationstring
layerDepthnumber
cpesstring[]
vendoredPathsstring[]
versionstring
400Bad Request
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404Not Found
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/v2/revisions/%7Blocator%7D/dependencies/%7BdependencyRevisionLocator%7D
curl --request GET \  --url 'https://app.fossa.com/api/v2/revisions/%7Blocator%7D/dependencies/%7BdependencyRevisionLocator%7D' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

locatorstringrequired

The locator of the project revision

dependencyRevisionLocatorstringrequired

The locator of the dependency to retrieve

Query params

includeResolutionNotesboolean

Include resolution notes in issue data

includeLicenseTextboolean

Include full license text in license data

includeCopyrightboolean

Include copyright information in license data

includeMatchesboolean

Include license match details in license data

includeDownloadUrlboolean

Include download URL in package data